/*
   Copyright (C) 1998  Ulric Eriksson <ulric@edu.stockholm.se>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the Licence, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

/* 
 * ApplicationP.h - Private definitions for Application widget
 * 
 */

#ifndef _XawApplicationP_h
#define _XawApplicationP_h

/***********************************************************************
 *
 * Application Widget Private Data
 *
 ***********************************************************************/

#include "Application.h"
#include <X11/Xmu/Converters.h>

/* New fields for the Application widget class record */
typedef struct {int empty;} ApplicationClassPart;

/* Full class record declaration */
typedef struct _ApplicationClassRec {
    CoreClassPart	core_class;
    CompositeClassPart  composite_class;
    ApplicationClassPart	application_class;
} ApplicationClassRec;

extern ApplicationClassRec applicationClassRec;

/* New fields for the Application widget record */
typedef struct {
    /* resources */
    Dimension   h_space, v_space;

    /* private state */
} ApplicationPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _ApplicationRec {
    CorePart	    core;
    CompositePart   composite;
    ApplicationPart 	    application;
} ApplicationRec;

#endif /* _XawApplicationP_h */
