
/*
 * FrameP.h
 *
 * Based on the ThreeD widget by Kaleb Keithley
 */

/***********************************************************
Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts,
and the Massachusetts Institute of Technology, Cambridge, Massachusetts.
Copyright 1992 by Kaleb Keithley

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Digital, MIT, or Kaleb
Keithley not be used in advertising or publicity pertaining to distribution 
of the software without specific, written prior permission.  

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

******************************************************************/

#ifndef _FrameP_h
#define _FrameP_h

#include "Frame.h"
#if 0
#include <X11/Xaw/SimpleP.h>
#endif

typedef struct {
    Dimension	shadow_width;
    Pixel	top_shadow_pixel;
    Pixel	bot_shadow_pixel;
    Pixmap	top_shadow_pxmap;
    Pixmap	bot_shadow_pxmap;
    int		top_shadow_contrast;
    int		bot_shadow_contrast;
    GC		top_shadow_GC;
    GC		bot_shadow_GC;
    XtPointer	user_data;
    Boolean	be_nice_to_cmap;
  } FramePart;

/* Full instance record declaration */
typedef struct _FrameRec {
    CorePart	core;
#if 0
    SimplePart	simple;
#else
    CompositePart	composite;
#endif
    FramePart	frame;
  } FrameRec;

typedef struct {
    void (*shadowdraw)();
  } FrameClassPart;

#define XtInheritSiagShadowDraw ((void (*)())_XtInherit)

/* Full class record declaration. */
typedef struct _FrameClassRec {
    CoreClassPart	core_class;
#if 0
    SimpleClassPart	simple_class;
#else
    CompositeClassPart	composite_class;
#endif
    FrameClassPart	frame_class;
  } FrameClassRec;

/* Class pointer. */
extern FrameClassRec frameClassRec;

_XFUNCPROTOBEGIN

static /*extern*/ void SiagComputeTopShadowRGB (
#if NeedFunctionPrototypes
    Widget 		/* new */,
    XColor*		/* xcol_out */
#endif
);

static /*extern*/ void SiagComputeBottomShadowRGB (
#if NeedFunctionPrototypes
    Widget		/* new */,
    XColor*		/* xcol_out */
#endif
);

_XFUNCPROTOEND


#endif /* _FrameP_h */
